# Uses of Class
org.eclipse.ui.editors.text.FileDocumentProvider.FileSynchronizer

Packages that use FileDocumentProvider.FileSynchronizer
Package
Description
org.eclipse.ui.editors.text
Provides a standard text editor and concrete document providers based `IFileBuffer` and others directly handling `IFile` and `IStorage` as editor input.

## Uses of FileDocumentProvider.FileSynchronizer in org.eclipse.ui.editors.text

Fields in org.eclipse.ui.editors.text declared as FileDocumentProvider.FileSynchronizer
Modifier and Type
Field
Description
`FileDocumentProvider.FileSynchronizer`
FileDocumentProvider.FileInfo.`fFileSynchronizer`
The file synchronizer.
Constructors in org.eclipse.ui.editors.text with parameters of type FileDocumentProvider.FileSynchronizer
Modifier
Constructor
Description
``
`FileInfo(IDocument document, IAnnotationModel model, FileDocumentProvider.FileSynchronizer fileSynchronizer)`
Creates and returns a new file info.